# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionManager

Packages that use CDORevisionManager
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDORevisionManager in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDORevisionManager
Modifier and Type
Method
Description
`CDORevisionManager`
CDOCommonSession.`getRevisionManager()`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionManager
Modifier and Type
Method
Description
`static CDORevisionManager`
CDORevisionUtil.`createRevisionManager()`
`static CDORevisionManager`
CDORevisionUtil.`createRevisionManager(CDORevisionCache cache)`
`CDORevisionManager`
CDORevisionsLoadedEvent.`getSource()`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionManager
Modifier and Type
Method
Description
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(Set<CDOID> ids, CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDORevisionManager revisionManager)`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDORevisionManager
Modifier and Type
Method
Description
`CDORevisionManager`
CDONet4jSessionConfiguration.`getRevisionManager()`
Methods in org.eclipse.emf.cdo.net4j with parameters of type CDORevisionManager
Modifier and Type
Method
Description
`void`
CDONet4jSessionConfiguration.`setRevisionManager(CDORevisionManager revisionManager)`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDORevisionManager
Modifier and Type
Method
Description
`CDORevisionManager`
IRepository.`getRevisionManager()`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded with parameters of type CDORevisionManager
Modifier and Type
Method
Description
`CDONet4jSessionConfiguration`
CDOEmbeddedRepositoryConfig.`createSessionConfiguration(org.eclipse.net4j.connector.IConnector connector, CDOBranchManager branchManager, CDORevisionManager revisionManager)`
Subclasses may override.

## Uses of CDORevisionManager in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDORevisionManager
Modifier and Type
Method
Description
`CDORevisionManager`
CDOSession.`getRevisionManager()`
Returns the CDO `revision manager` that manages the `revisions` of the repository of this session.

## Uses of CDORevisionManager in org.eclipse.emf.cdo.spi.common.commit

Constructors in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDORevisionManager
Modifier
Constructor
Description
``
`CDORevisionAvailabilityInfo(CDOBranchPoint branchPoint, CDORevisionManager revisionManager)`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionManager in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisionManager
Modifier and Type
Class
Description
`class`
`DelegatingCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision that return CDORevisionManager
Modifier and Type
Method
Description
`CDORevisionManager`
ManagedRevisionProvider.`getRevisionManager()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionManager
Modifier and Type
Method
Description
`static CDORevision`
ManagedRevisionProvider.`provideRevision(CDORevisionManager revisionManager, CDOID id, CDOBranchPoint branchPoint)`
Constructors in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionManager
Modifier
Constructor
Description
``
`ManagedRevisionProvider(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)`
``
`WithSynthetics(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)`

## Uses of CDORevisionManager in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view with parameters of type CDORevisionManager
Modifier and Type
Method
Description
`List<CDOID>`
CDORevisionPrefetchingPolicy.`loadAhead(CDORevisionManager revisionManager, CDOBranchPoint branchPoint, EObject targetObject, EStructuralFeature feature, CDOList list, int accessIndex, CDOID accessID)`